using ResourcesManager.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ResourcesManager.Interfaces
{
    public interface IResourceRepository : IDisposable
    {
        IEnumerable<Resource> GetResouces();
        Resource GetResourceByID(int id);
        bool InsertResouce(Resource resource);
        bool DeleteResouce(int id);
        bool UpdateResouce(Resource resource);
    }
}
